Inkomba · Izinhlu Zokudlala

Bonisa uhlu lokudlala olulodwa

GET /v1/playlists/{uid}

Ibonisa uhlu lokudlala olulodwa ngokwe-uid yalo, kanye nezinto ngokulandelana kokuboniswa nama-TV asebenzisa lolo hlu.

Ipharamitha esendleleni

IgamaUhloboIncazelo
uidstringI-uid yohlu lokudlala.

Izinkambu zempendulo

uid string
Isihlonzi sohlu lokudlala.
name string
Igama lohlu.
organization object
Inhlangano yohlu: uid ne-name.
total_time integer
Isikhathi esiphelele sohlu, ngemizuzwana.
total_time_is_approximate boolean
true uma isikhathi esiphelele siyisilinganiso.
items array
Izinto ezisohlwini, ngokulandelana kokuboniswa.
items[].position integer
Indawo yento ohlwini.
items[].type string
file efayeleni noma entertainment okuqukethweni kwezokuzijabulisa. Kungavela nezinye izinhlobo.
items[].uid string
Isihlonzi sefayela noma sokuqukethwe kwezokuzijabulisa.
items[].display_time integer | null
Isikhathi sokubonisa esisethwe entweni, ngemizuzwana, noma null uma singasethiwe.
items[].file object | null
Imininingwane yefayela, enezinkambu ezifanayo nezika-“Bonisa amafayela”, noma null uma into kungeyona ifayela noma uma umsebenzisi engakwazi ukubona amafayela enhlangano yayo.
tvs array
Ama-TV asebenzisa lolu hlu (uid, name ne-organization). Kuvela kuphela ama-TV umsebenzisi angawabona.

Amaphutha angenzeka

  • 404 not_found I-endpoint ayikho, noma into ayikho noma ingeyenhlangano umsebenzisi angakwazi ukuyibona.
  • Amaphutha okhiye nawomkhawulo asebenza kuwo wonke ama-endpoint. Bona wonke amaphutha
Isicelo
curl "https://api.on-cloud.live/v1/playlists/e4da3b7fbbce2345d7772b0674a318d5" \
  -H "X-API-Key: $API_KEY"
<?php
$ch = curl_init('https://api.on-cloud.live/v1/playlists/e4da3b7fbbce2345d7772b0674a318d5');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_HTTPHEADER => ['X-API-Key: ' . getenv('API_KEY')],
]);
$response = json_decode(curl_exec($ch), true);
const res = await fetch('https://api.on-cloud.live/v1/playlists/e4da3b7fbbce2345d7772b0674a318d5', {
  headers: { 'X-API-Key': process.env.API_KEY }
});
const { data } = await res.json();
Impendulo200
{
  "data": {
    "uid": "e4da3b7fbbce2345d7772b0674a318d5",
    "name": "Lista principal",
    "organization": {
      "uid": "8f14e45fceea167a5a36dedd4bea2543",
      "name": "Loja Centro"
    },
    "total_time": 85,
    "total_time_is_approximate": true,
    "items": [
      {
        "position": 1,
        "type": "file",
        "uid": "a87ff679a2f3e71d9181a67b7542122c",
        "display_time": null,
        "file": {
          "uid": "a87ff679a2f3e71d9181a67b7542122c",
          "name": "Promoção de verão",
          "type": "video",
          "duration": 30,
          "archived": false,
          "organization": {
            "uid": "8f14e45fceea167a5a36dedd4bea2543",
            "name": "Loja Centro"
          }
        }
      },
      {
        "position": 2,
        "type": "entertainment",
        "uid": "noticias",
        "display_time": 15,
        "file": null
      },
      {
        "position": 3,
        "type": "file",
        "uid": "6512bd43d9caa6e02c990b0a82652dca",
        "display_time": 10,
        "file": {
          "uid": "6512bd43d9caa6e02c990b0a82652dca",
          "name": "Cardápio do dia",
          "type": "image",
          "duration": 10,
          "archived": false,
          "organization": {
            "uid": "8f14e45fceea167a5a36dedd4bea2543",
            "name": "Loja Centro"
          }
        }
      }
    ],
    "tvs": [
      {
        "uid": "c98cb8f9cc62887d1f6cf5693df9219c",
        "name": "Recepção",
        "organization": {
          "uid": "8f14e45fceea167a5a36dedd4bea2543",
          "name": "Loja Centro"
        }
      },
      {
        "uid": "45c48cce2e2d7fbdea1afc51c7c6ad26",
        "name": "Vitrine",
        "organization": {
          "uid": "8f14e45fceea167a5a36dedd4bea2543",
          "name": "Loja Centro"
        }
      }
    ]
  }
}
Into engekho noma engenakufinyelela404
{
  "error": {
    "code": "not_found",
    "message": "Item not found or you do not have access to it."
  }
}